Skip to main content
Success Center

Events system requirements

Events Portal

To use the Events Portal, you must have:

  • Windows 7 SP1 or 10. Windows RT is not supported.
  • macOS 10.10 or newer
  • JavaScript® and cookies enabled
  • The Events Portal supports recent versions of the following browsers. If you have issues, check for updates.
    • Internet Explorer 11
    • Mozilla Firefox
    • Google Chrome
    • Apple Safari

GlobalMeet® Webinar

Presenters can connect using their phones or webcams (for a face-to-face experience).

To attend a webinar, check that you have the minimum requirements.

Conference Controls

To use Conference Controls, you must have:

  • Windows 7 SP1 or 10. Mac is not supported.
  • Intel 800 MHz or higher
  • At least 128 MB RAM
  • Internet Explorer 11
  • Mozilla Firefox 25 or newer
  • 56 Kbps Internet connection minimum (high-speed Internet connection recommended)
  • Was this article helpful?